ResourcePoolEvent (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.resourcepool

## Class ResourcePoolEvent

- java.lang.Object
- - java.util.EventObject
  - - com.mchange.v2.resourcepool.ResourcePoolEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ResourcePoolEvent
      extends java.util.EventObject

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcePoolEvent(ResourcePool pool, java.lang.Object resc, boolean checked_out_resource, int pool_size, int available_size, int removed_but_unreturned_size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvailableSize()`
    `int` | `getPoolSize()`
    `int` | `getRemovedButUnreturnedSize()`
    `java.lang.Object` | `getResource()`
    `boolean` | `isCheckedOutResource()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourcePoolEvent

          public ResourcePoolEvent(ResourcePool pool,
                                   java.lang.Object resc,
                                   boolean checked_out_resource,
                                   int pool_size,
                                   int available_size,
                                   int removed_but_unreturned_size)

  - ### Method Detail

    - #### getResource

          public java.lang.Object getResource()

    - #### isCheckedOutResource

          public boolean isCheckedOutResource()

    - #### getPoolSize

          public int getPoolSize()

    - #### getAvailableSize

          public int getAvailableSize()

    - #### getRemovedButUnreturnedSize

          public int getRemovedButUnreturnedSize()